ForbidRTCStreams
https://rtc-api.zego.im/
Call this interface to batch-forbid RTC streams, which can batch-forbid specified stream IDs from being pushed to the RTC service. Forbidding stream operations will send notifications to clients that are currently publishing streams and clients that are playing streams. It is typically used when developers need to temporarily interrupt a terminal's stream publishing through the server.
Publishing clients receive notifications of stream publishing being forbidden by the server using ZEGOCLOUD Express SDK callback interfaces:
| Platform | ZegoExpress SDK | LiveRoom SDK | ||
|---|---|---|---|---|
| Interface | Error Code | Interface | Error Code | |
| iOS/macOS | onPublisherStateUpdate | 1003025 | onPublishStateUpdate | 12301011 |
| Android | onPublisherStateUpdate | 1003025 | onPublishStateUpdate | 12301011 |
| Windows | onPublisherStateUpdate | 1003025 | OnPublishStateUpdate | 12301011 |
Playing clients receive notifications of their played streams being forbidden by the server using ZEGOCLOUD Express SDK callback interfaces:
| Platform | ZegoExpress SDK | LiveRoom SDK | ||
|---|---|---|---|---|
| Interface | Error Code | Interface | Error Code | |
| iOS/macOS | onPlayerStateUpdate | 1004025 | onPlayStateUpdate | 12301011 |
| Android | onPlayerStateUpdate | 1004025 | onPlayStateUpdate | 12301011 |
| Windows | onPlayerStateUpdate | 1004025 | OnPlayStateUpdate | 12301011 |
After calling this interface, the audio and video streams that are currently being pushed will be forbidden from pushing, and the stream IDs will be recorded in the background database; non-existent streams will be directly recorded in the background database, and the interface will normally return successfully.
In the test environment (see the IsTest common parameter description for details), the stream ID needs to be prefixed with "zegotest-AppId-". For example, if the stream ID is "test", and the AppId is "123456789" in the test environment, the stream ID should be "zegotest-123456789-test".
Request
Query Parameters
Possible values: [ForbidRTCStreams]
Interface prototype parameters
https://rtc-api.zego.im?Action=ForbidRTCStreams
💡Public parameter. Application ID, assigned by ZEGOCLOUD. Get it from the ZEGOCLOUD Admin Console.
💡Common parameter. A 16-character hexadecimal random string (hex-encoded 8-byte random number). For the generation algorithm, refer to the signature example.
💡Common parameter. Current Unix timestamp in seconds. For the generation algorithm, refer to the signature example. A maximum deviation of 10 minutes is allowed.
💡Common parameter. Signature used to verify the legitimacy of the request. Please refer to the signature mechanism to generate it.
Possible values: [2.0]
Default value: 2.0
💡Public parameter. Signature version number.
Stream ID list, supports up to 20 stream IDs.
Request sequence number.
Note
For the same StreamId, within 10 consecutive seconds, you must ensure that the request sequence numbers issued for this StreamId are strictly increasing; avoid operation errors caused by inconsistent timing of requests received by the server.
If there are no concurrent scenarios, it is recommended to use timestamps (millisecond level).
Responses
- 200
- application/json
